javax.jms

## Interface TextMessage

- All Superinterfaces:
    Message

      public interface TextMessage
      extends Message

  A `TextMessage` object is used to send a message containing a `java.lang.String`. It inherits from the `Message` interface and adds a text message body.

  This message type can be used to transport text-based messages, including those with XML content.

  When a client receives a `TextMessage`, it is in read-only mode. If a client attempts to write to the message at this point, a `MessageNotWriteableException` is thrown. If `clearBody` is called, the message can now be both read from and written to.

  Since:
    JMS 1.0
  See Also:
    `Session.createTextMessage()`, `Session.createTextMessage(String)`, `BytesMessage`, `MapMessage`, `Message`, `ObjectMessage`, `StreamMessage`, `String`

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Gets the string containing this message's data.
    `void` | `setText(java.lang.String string)` Sets the string containing this message's data.

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearBody, clearProperties, getBody, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, isBodyAssignableTo, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Method Detail

    - #### setText

          void setText(java.lang.String string)
                throws JMSException

      Sets the string containing this message's data.
      Parameters:
        `string` - the `String` containing the message's data
      Throws:
        `JMSException` - if the JMS provider fails to set the text due to some internal error.
        `MessageNotWriteableException` - if the message is in read-only mode.

    - #### getText

          java.lang.String getText()
                            throws JMSException

      Gets the string containing this message's data. The default value is null.
      Returns:
        the `String` containing the message's data
      Throws:
        `JMSException` - if the JMS provider fails to get the text due to some internal error.